@import url('https://fonts.googleapis.com/css2?family=Libre+Baskerville:ital,wght@0,400;0,700;1,400&family=Odibee+Sans&display=swap');
@import url('https://fonts.cdnfonts.com/css/ica-rubrik-black');
@import url('https://fonts.cdnfonts.com/css/poppins');
@import url('https://fonts.googleapis.com/css2?family=Barrio&family=Knewave&family=Molle&family=Nabla&family=Permanent+Marker&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

html, body{
    scroll-behavior: smooth;
}
body{
    background-color: #F2E1C2;
    margin: 0;
    font-size: 14px;
    /* color: #2E373A; */
    font-family: "Libre Baskerville", sans-serif;
}
*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    list-style: none;
}
main{
    width: min(1400px, 100vw);
    margin: auto;
    padding: 20px;
    
}
header{
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
}
header img{
    height: 80px;
    /* filter: drop-shadow(1px 1px 3px #22222265); */

}


/* ------------------------------------BANNER------------------------------ */
.banner .quote {
    margin-top: 70px;
    text-align: center;
    color: aqua;
    font-family: 'ICA Rubrik';
    font-size: 3em;
    justify-content: space-between;
    line-height: 1.5em;
    color: #25283B;
}
.banner .content{
    font-family: "Odibee Sans", sans-serif;
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
}
.banner .content h1{
    font-size: 17em;
}
.banner .content .right{
    text-align: right;
    transform: translateY(-30px);
}
.banner .content .right h2{
    font-size: 7em;
    font-weight: 200;
}
/* .banner .image{
    width: 100%;
    height: 600px;
    background-image: url(images/banner.png); 
    position: relative;
}  */
.banner .hero{
    position: absolute;
    height: 130%; 
    left: 50%;
    transform: translateX(-50%);
    bottom: 0px;
}
/* -------------------- SECTION 1 ------------------------------------------------------*/
.grid figure img{
    width: 100%;
}

.grid{
    display: grid;
    margin: auto;
    grid-template-columns: repeat(6, 1fr);
    grid-template-rows: repeat(var(--row), 100px);
    margin-top: 50px;
    gap: 50px;
}
.grid-1{
    --row: 2;
    margin-top: 42em;
    
}
.grid-1 figure:nth-child(1){
    grid-column: 2 / 6;
    grid-row: 1;
    
}
.grid-1 figure:nth-child(2){
    grid-column: 3 / 5;
    grid-row: 1;
    margin-top: 150px;;
}

.grid-1 h2:nth-child(3){
    font-size: 6em;
    grid-column: 1 / 7;
    text-align: center;
    margin-top: 100px;
    grid-row: 5;
    z-index: 1;
    font-family: 'Lato', Calibri, Arial, sans-serif;
    font-weight: 400;
    color: #314E59;
}
.grid-1 p:nth-child(4){
    font-size: 1.7em;
    grid-column: 1 / 7;
    text-align: center;
    grid-row: 6;
    z-index: 1;
    font-family: 'Lato', Calibri, Arial, sans-serif;
    font-weight: 200;
    color: #314E59;
}

/* -------------------- SECTION 2 ------------------------------------------------------*/
.grid-2{
    --row: 8;
    font-size: 1.7em;
}
.grid-2 div:nth-child(1){
    grid-column: 1 / 4;
    grid-row: 1;
}
.grid-2 div:nth-child(2){
    grid-column: 4 / 7;
    grid-row: 2;
}
.grid-2 div:nth-child(3){
    grid-column: 4 / 7;
    grid-row: 4;
}
.grid-2 div:nth-child(4){
    grid-column: 1 / 4;
    grid-row: 6;
}

/* -------------------- SECTION 3 ------------------------------------------------------*/
.grid-3{
    --row: 6;
    font-size: 8em;
}


.grid-3 div:nth-child(1){
    grid-column: 1/ 8;
    text-wrap: nowrap;
    text-align: center;
    font-family: "Roboto", sans-serif;
    font-weight: 600;
    color: #314E59;
}
.grid-3 div:nth-child(2){
    grid-column: 1/ 8;
    text-align: center;
    font-family: "Barrio", system-ui;
    font-weight: 400;
    font-style: normal;
    color: #A0C3D9;
}
.grid-3 div:nth-child(3){
    grid-column: 1/ 8;
    text-wrap: nowrap;
    text-align: center;
    font-family: "Permanent Marker", cursive;
    font-weight: 400;
    font-style: normal;
    color: #F29441;
}
.grid-3 div:nth-child(5){
    grid-column: 1/ 8;
    text-align: center;
    font-family: "Nabla", system-ui;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    font-variation-settings:
    "EDPT" 100,
    "EHLT" 12;
    color: #A0C3D9;

    
}
.grid-3 div:nth-child(4){
    grid-column: 1/ 9;
    text-align: center;
    font-family: "Knewave", system-ui;
    font-weight: 400;
    font-style: normal;
    color: #A6460F;

}

/* -------------------- SECTION 5 ------------------------------------------------------*/

footer{
    border-top: 1px solid #2E373A55;
    min-height: 100vh;
}
footer .content{
    width: min(1400px, 100vw);
    /* margin: auto; */
    padding: 100px 20px;
    
}

.dp img{
    display: block;
    border-radius: 100px;
    width: 200px;
    margin-left: 50%;
    outline-color: #00000055;
    backdrop-filter: blur(2px);
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.3);
    background: linear-gradient(1deg, rgba(189, 204, 212, 0.5), rgba(171, 188, 196, 0.5));
    
}   
.biodata{
    display: block;
    background-color: #2E373A55;
    padding: 15px;
    margin-top:100px;
    border-radius: 20px;
    width: 100%;
    min-height: 57vh;
    min-width: 25vh;
    text-align: center;
    backdrop-filter: blur(2px);
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.3);
    background: linear-gradient(45deg, #a0c3d970, #a0c3d92d);
    border-top: 2px solid rgba(255, 255, 255, 0.3);
    border-Left: 2px solid rgba(255, 255, 255, 0.3);
}

.experience{
    display: block;
    background-color: #2E373A55;
    padding: 15px;
    border-radius: 20px;
    width: 100%;
    min-height: 83vh;
    min-width: 25vh;
    text-align: center;
    backdrop-filter: blur(2px);
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.3);
    background: linear-gradient(45deg, #a0c3d970, #a0c3d92d);
    border-top: 2px solid rgba(255, 255, 255, 0.3);
    border-Left: 2px solid rgba(255, 255, 255, 0.3);
}

.company{
    font-family: 'Lato', Calibri, Arial, sans-serif;
    font-weight: 200;
    margin-top: 10px;
}


.skill{
    display: block;
    background-color: #2E373A55;
    padding: 15px;
    border-radius: 20px;
    width: 100%;
    min-height: 83vh;
    min-width: 25vh;
    backdrop-filter: blur(2px);
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.3);
    background: linear-gradient(45deg, #a0c3d970, #a0c3d92d);
    border-top: 2px solid rgba(255, 255, 255, 0.3);
    border-Left: 2px solid rgba(255, 255, 255, 0.3);
}

.grid-5{
    --row: 5;
    font-size:1.1em;
    margin-top: 5px;
}
.grid-5 img:nth-child(1){
    grid-row: 1;
    grid-column: 1 / 2;
    border-radius: 100px;
 
}
.grid-5 h2:nth-child(1){
    grid-row: 1;
    grid-column: 1 / 2;
    margin-bottom: 10px;
    font-family: "Roboto", sans-serif;
    font-weight: 600;
}
.grid-5 h2:nth-child(2){
    grid-row: 1;
    grid-column: 1 / 2;
    margin-bottom: 10px;
    font-family: 'Lato', Calibri, Arial, sans-serif;
    font-weight: 600;
}
.grid-5 h3:nth-child(2){
    grid-row: 1;
    grid-column: 1 / 2;
    font-family: 'Lato', Calibri, Arial, sans-serif;
    font-weight: 400;
}

.grid-5 h2:nth-child(3){
    grid-row: 1;
    grid-column: 1 / 2;
    padding-top: 10px;
    margin-bottom: 10px;
    font-family: 'Lato', Calibri, Arial, sans-serif;
    font-weight: 600;
}
.grid-5 h3:nth-child(3){
    grid-row: 1;
    grid-column: 1 / 2;
    font-family: 'Lato', Calibri, Arial, sans-serif;
    font-weight: 400;
    
}
.grid-5 h4:nth-child(3){
    grid-row: 1;
    grid-column: 1 / 2;
    font-family: 'Lato', Calibri, Arial, sans-serif;
    font-weight: 200;
}
/* .grid-5 p:nth-child(3){
    grid-row: 1;
    grid-column: 1 / 5;
    font-family: 'Lato', Calibri, Arial, sans-serif;
    font-weight: 300;
} */

.grid-5 h3:nth-child(4){
    grid-row: 1;
    grid-column: 1 / 2;
    font-family: 'Lato', Calibri, Arial, sans-serif;
    font-weight: 400;
}


.grid-5 div:nth-child(1){
    grid-row: 1;
    grid-column: 1/2;
}
.grid-5 div:nth-child(2){
    grid-row: 2;
    grid-column: 1 / 3;
}
.grid-5 div:nth-child(3){
    grid-row: 1;
    grid-column: 3 / 7;
}

.grid-5 div:nth-child(4){
    grid-row: 1;
    grid-column: 7/ 8;
 }

@media screen and (max-width: 1023px){
    header img{
        height: 2em;
    }
    .grid-1 figure:nth-child(1){
        margin-top: 400px;
    }


    .grid-1 figure:nth-child(2){
        margin-top: 560px;
        margin-left: 12%;
        width: 80%;
    }
    

    .grid-2 div:nth-child(1){
        grid-row: 2;
    }
    .grid-2 div:nth-child(3){
        grid-row: 6;
    }
    .grid-2 div:nth-child(4){
        grid-row: 5;
    }
    .grid-3{
        font-size: 5em;
        line-height: 1em;
        margin-top: 10%;
    }
    .grid-3 div:nth-child(1){
        margin-bottom: 10%;
    }
    .grid-3 div:nth-child(2){
        margin-bottom: 10%;
    }
    .grid-3 div:nth-child(3){
        margin-bottom: 10%;
        font-size: 40px;
    }
    .grid-3 div:nth-child(4){
        margin-bottom: 10%;
    }
}

@media screen and (max-width: 767px){

.grid-1 figure:nth-child(1){
        margin-top: 450px;
    }


    .grid-1 figure:nth-child(2){
        margin-top: 500px;
        margin-left: 12%;
        width: 80%;
    }
    .banner .quote h2{
        font-size: 8vw;
        line-height: 36px !important;
        
    }
} 


@media screen and (max-width: 412px){
    header img{
        height: unset;
        width: 30%;
    }
    /* .banner .content h1{
        font-size: 3em;
    } */
    /* .banner .content{
        text-align: center;
        display: flex;
        justify-content: center;
        align-items: center;
    } */
    /* .banner{
        overflow: hidden;
    } */
    .banner .quote {
        
        width: 100%;
        margin: 10% 1% 0 1%;
        margin-bottom: 500px;
    }
    .banner .quote h2{
        font-size: 8vw;
        line-height: 36px !important;
        
    }

    .banner .content{
        margin-bottom: 50px;
    }

    .grid-1 figure:nth-child(1){
        margin-top: 650px;
    }


    .grid-1 figure:nth-child(2){
        margin-top: -60%;
        margin-left: 12%;
        width: 80%;
    }
    .grid-1 h2:nth-child(3){
        font-size: 4em;
        margin-bottom: 3%;
    }
    
    .grid{
        display: block;
    }
    .grid-3{
        font-size: 4em;
        display: block;
        margin-bottom: 100px;
    }
    
    .grid-5{
    --row: 5;
    font-size:1.1em;
    align-content: center;
    }
        .dp img{
        margin-left: 25%;
    }
    /* .grid-5 div:nth-child(1){
        grid-row: 1;
        grid-column: 1 / 1;
        padding-right: 20%;
    }
    .grid-5 div:nth-child(2){
        grid-row: 2;
        grid-column: 1 / 1;
        padding: 5% 0 0 0;
    }
    .grid-5 div:nth-child(3){
        grid-row: 1;
        grid-column: 1 / 1;
        padding: 5% 0 0 5%;
    }
    .grid-5 div:nth-child(4){
        grid-row: 1;
        grid-column: 7/ 8;
        padding: 5% 0 0 5%;
    } */
    .biodata{
        width: 80%;
        margin: 10% 10% 10% 10%;
    }

    .experience{   
        width: 80%;
        margin: 10% 10% 10% 10%;
    }

    .skill{   
        width: 80%;
        margin: 10% 10% 10% 10%;
    }

}



/* ----------------------Animation section---------------------------- */
.autoRotate{
    animation: autoRotateAnimation;
    animation-timeline: view();
}
@keyframes autoRotateAnimation{
    from{
        transform: rotate(0deg);
    }
    to{
        transform: rotate(360deg);
    }
}
.autoShow{
    animation: autoShowAnimation both;
    animation-timeline: view(70% 5%);

}
@keyframes autoShowAnimation{
    from{
        opacity: 0;
        transform: translateY(200px) scale(0.3);
    }to{
        opacity: 1;
        transform: translateY(0) scale(1);
    }
}
.autoBLur{
    animation: autoBLurAnimation linear both;
    animation-timeline: view();
}
@keyframes autoBLurAnimation{
    0%{
        filter: blur(40px);
    }
    45%, 55%{
        filter: blur(0px);
    }
    100%{
        filter: blur(40px);
    }
}
.autoStrobe{
    animation: autoStrobeAnimation;
    animation-timeline: view();

}
@keyframes autoStrobeAnimation{
    0%{
        opacity: 0.3;
        
    }
    25%{
        opacity: 1;
        
    }
    50%{
        opacity: 0.5;
        
    }
    75%{
        opacity: 1;
        
    }
    100%{
        opacity: 0.3;
        
    }
}